Last Comment Bug 773929 - Youtube HTML5 resize buttons(Small/Large player) in video controls are missing
: Youtube HTML5 resize buttons(Small/Large player) in video controls are missing
Status: VERIFIED FIXED
: regression
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: 16 Branch
: x86_64 All
: -- normal with 1 vote (vote)
: mozilla17
Assigned To: Luke Wagner [:luke]
:
: Jason Orendorff [:jorendorff]
Mentors:
Depends on:
Blocks: 765956
  Show dependency treegraph
 
Reported: 2012-07-14 01:11 PDT by Alice0775 White
Modified: 2012-07-31 04:23 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
verified


Attachments
fix (963 bytes, patch)
2012-07-16 14:41 PDT, Luke Wagner [:luke]
bhackett1024: review+
akeybl: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Alice0775 White 2012-07-14 01:11:57 PDT
Build Identifier:
http://hg.mozilla.org/mozilla-central/rev/131961e5e0d1
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:16.0) Gecko/16.0 Firefox/16.0a1 ID:20120612030527

this is regression of Bug 765956

Steps to Reproduce:
1. Create clean profile
2. Open http://www.youtube.com/watch?v=BRG5VNNUq_E&hd=1&html5=1

Actual Results:
 Resize buttons(Small/Large player) are missing.


m-i hourly build:
last good is mozilla-inbound changeset e3c30588f319
first bad is mozilla-inbound changeset 67e09e165ce6

http://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=e3c30588f319&tochange=67e09e165ce6

In local build 
Last Good: 749d103d8636	
First Bad: d9650bc4da1a
Comment 1 Alice0775 White 2012-07-14 01:18:28 PDT
Err
Correct Build Identifier:
http://hg.mozilla.org/mozilla-central/rev/6489be1890c0
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:16.0) Gecko/16.0 Firefox/16.0 ID:20120713030548

And also reproduced in latest hourly
http://hg.mozilla.org/mozilla-central/rev/0602e44ac248
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:16.0) Gecko/16.0 Firefox/16.0 ID:20120713204920
Comment 2 Luke Wagner [:luke] 2012-07-16 14:41:08 PDT
Created attachment 642737 [details] [diff] [review]
fix

The problem is that bug 765956 removed an "|| fun->script->isInnerFunction" guard in CheckNewScriptProperties.  Why this matters isn't clear and I filed bug 774463 to investigate.  In the meantime, the quick fix is to restore the old behavior by disallowing CheckNewScriptProperties on inner functions.
Comment 4 Luke Wagner [:luke] 2012-07-16 17:21:24 PDT
Comment on attachment 642737 [details] [diff] [review]
fix

[Approval Request Comment]
Bug caused by (feature/regressing bug #): 765956
User impact if declined: wrong website behavior
Testing completed (on m-c, etc.): m-c
Risk to taking this patch (and alternatives if risky): low, restoring old behavior
Comment 5 Ed Morley [:emorley] 2012-07-17 02:11:27 PDT
https://hg.mozilla.org/mozilla-central/rev/1a3441f550c0
Comment 6 Alex Keybl [:akeybl] 2012-07-18 17:50:02 PDT
Comment on attachment 642737 [details] [diff] [review]
fix

[Triage Comment]
Low risk html5 video player fix for a regression in FF16. Approved for Aurora 16.
Comment 8 Paul Silaghi, QA [:pauly] 2012-07-31 04:23:43 PDT
Verified fixed on FF 16.0a2 (2012-07-30):
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:16.0) Gecko/16.0 Firefox/16.0

Note You need to log in before you can comment on or make changes to this bug.